Subject: Cygwin chmod no work in ClearCase WinNT view
From: "Guy T. Moore Jr." <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 13 Sep 2000 16:23:36 -0400

All,

I read several Cygwin emails on chmod not working, but could
not extrapolate from them a working solution...

If I go into my ClearCase view:
      `cd v:`
then copy a VOB element to another file and change the permissions on it:
      `cp file1 file2`
      `chmod 777 file2`     (file1, a CLearCase VOB element has permissions of 444)
I am unable to append to or touch that file.
        `cat file1 >> file2`
        `touch file2`
bash: file2: Permission denied

I think the problem is that Cygwin's `cp` command is not copying as well as the DOS
`copy` command or that Cygwin's `chmod` command is not doing everything that it could
be doing.

Thanks for any replies

Guy Moore
OpenMarket

--------------  other snippets of info ------------------

If I `vi file2` and save it, i then am able to append or touch that file.
So the `vi` program is doing something different than what the chmod attempted to do.
So `vi` is good. `chmod` is bad.

--------------

If I create file2 with the redirection symbol,( `cat file1 > file2` ) all is fine.
So,`cat` and `>` is good.  `cp` is bad.

--------------

I am able to do this in a DOS window in my ClearCase view (in my V: drive) using
the "COPY" command rather than the "cp" command.
So, the DOS `copy` is good(even in a ClearCase view). Cygwin's `cp` is bad.

--------------

I can also do this in a Cygwin window using "cp" if I stay
in the C: drive.
So Cygwin's `cp` is good. ClearCase is bad.

--------------

Hence, I am sending this to both support groups. Cygnus and ClearCase

--------------

In all cases where it does not work, the permissions are:

-rw-r--r--  1  gmoore   None  

--------------
I tried all 4 combinations of CYGWIN values utilizing new Cygwin windows with no affect.
export CYGWIN=binmode
export CYGWIN=nobinmode
export CYGWIN="nobinmode ntsec"
export CYGWIN="binmode ntsec"

--------------

Cygwin 1.1.4 (just installed it)
NT 4.0 Service Pack 6A build 1381
ClearCase 4.0 patch 11,12

--------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]